Package com.google.gwt.event.dom.client

## Class HandlesAllKeyEvents

- java.lang.Object
- - com.google.gwt.event.dom.client.HandlesAllKeyEvents

- All Implemented Interfaces:
    `KeyDownHandler`, `KeyPressHandler`, `KeyUpHandler`, `EventHandler`

      public abstract class HandlesAllKeyEvents
      extends java.lang.Object
      implements KeyDownHandler, KeyUpHandler, KeyPressHandler

  Receiver used to handle all key events at once. WARNING, PLEASE READ: As this class is intended for developers who wish to handle all key events in GWT, new key handler interfaces will be added to it. Therefore, updates to GWT could cause breaking API changes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HandlesAllKeyEvents()` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <H extends KeyDownHandler & KeyUpHandler & KeyPressHandler> void` | `addHandlers​(HasAllKeyHandlers eventSource, H reciever)` | Convenience method used to handle all key events from an event source.
    `void` | `addKeyHandlersTo​(HasAllKeyHandlers source)` | Convenience method to handle all key events from an event source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.KeyDownHandler

      `onKeyDown`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.KeyPressHandler

      `onKeyPress`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.KeyUpHandler

      `onKeyUp`

- - ### Constructor Detail

    - #### HandlesAllKeyEvents

          public HandlesAllKeyEvents()

      Constructor.

  - ### Method Detail

    - #### addHandlers

          public static <H extends KeyDownHandler & KeyUpHandler & KeyPressHandler> void addHandlers​(HasAllKeyHandlers eventSource,
                                                                                                     H reciever)

      Convenience method used to handle all key events from an event source.
      Type Parameters:
        `H` - receiver type, must implement all key handlers
      Parameters:
        `eventSource` - the event source
        `reciever` - the receiver implementing all key handlers

    - #### addKeyHandlersTo

          public final void addKeyHandlersTo​(HasAllKeyHandlers source)

      Convenience method to handle all key events from an event source.
      Parameters:
        `source` - the event source